Issue
List issues
Returns the project’s issues, ordered newest-first. Supports filtering by status, source, and severity, with offset pagination.
GET
/
v1
/
issue
List issues
curl --request GET \
--url https://api.roark.ai/v1/issue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.roark.ai/v1/issue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roark.ai/v1/issue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"summary": "<string>",
"fingerprint": "<string>",
"eventCount": 123,
"lastEventAt": "<string>",
"openedAt": "<string>",
"resolvedAt": "<string>",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"observedAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Lifecycle state
Available options:
OPEN, ACKED, RESOLVED Who opened the issue
Available options:
TREND_ALERT, SINGLE_CALL_ALERT, TRACE_FAILURE, MANUAL, API, AGENT Coarse priority — LOW / MEDIUM / HIGH / CRITICAL
Available options:
LOW, MEDIUM, HIGH, CRITICAL Maximum number of issues to return (default: 20, max: 100)
Required range:
1 <= x <= 100Pagination offset
Required range:
x >= 0⌘I
List issues
